---
postgres_version: 12.2
postgres_version_major: "{{ '%.0f' | format(postgres_version) }}"
postgres_version_repo: "{{ postgres_version_major }}"
postgres_data_dir: "/var/lib/pgsql/{{ postgres_version_major }}/data"

postgres_bin_dir: "/usr/pgsql-{{ postgres_version_major }}/bin"
postgres_bin_checkdir: "/usr/pgsql-{{ postgres_version_major }}/bin/postgresql-{{ postgres_version_repo }}-check-db-dir"
postgres_bin_setupdir: "/usr/pgsql-{{ postgres_version_major }}/bin/postgresql-{{ postgres_version_repo }}-setup"


postgres_hba_rules:
  - type: local
    database: all
    user: all
    method: trust
  - type: host
    database: replication
    user: all
    cidr: 10.0.0.0/24
    method: md5


pgconf_listen_addresses: "localhost"
pgconf_archive_command: ""
pgconf_archive_mode: no

pgconf_max_wal_senders: 3
pgconf_wal_level: minimal
